Class | Bio::PSORT::PSORT1
In: | lib/bio/appl/psort.rb lib/bio/appl/psort/report.rb
Parent: | Object

# Bio::PSORT::PSORT1

Bio::PSORT::PSORT1 is a wapper class for the original PSORT program.

## Example

     serv = Bio::PSORT::PSORT1.imsut
     serv.title = 'Query_title_splited_by_white space'
     serv.exec(seq, false)  # seq.class => String
     serv.exec(seq)
     report = serv.exec(Bio::FastaFormat.new(seq))
     report_raw = serv.exec(Bio::FastaFormat.new(seq), false)

## References

1. Nakai, K. and Kanehisa, M., A knowledge base for predicting protein localization sites in eukaryotic cells, Genomics 14, 897-911 (1992). [PMID:1478671]

### Methods

exec imsut new okazaki peking

### Classes and Modules

Class Bio::PSORT::PSORT1::Remote
Class Bio::PSORT::PSORT1::Report

### Attributes

origin

[RW]

An accessor of the origin argument. Default setting is "yeast". Usable values:

1. Gram-positive bacterium
2. Gram-negative bacterium
3. yeast
4. animal
5. plant

sequence | [RW] | An accessor of the query sequence argument.
title | [RW] | An accessor of the title argument. Default setting is ‘MYSEQ’. The value is automatically setted if you use a query in Bio::FastaFormat.

### Public Class methods

imsut()

Returns a PSORT1 CGI Driver object (Bio::PSORT::PSORT1::Remote) connecting to the IMSUT server.

[Source]

         # File lib/bio/appl/psort.rb, line 178
    178:       def self.imsut
    179:         self.new(Remote.new(ServerURI[:IMSUT][:PSORT1]))
    180:       end

new(driver, origin = 'yeast', title = 'MYSEQ')

Sets a cgi client (Bio::PSORT::PSORT1::Remote).

[Source]

         # File lib/bio/appl/psort.rb, line 199
    199:       def initialize(driver, origin = 'yeast', title = 'MYSEQ')
    200:         @serv = driver
    201:         @origin = origin  # Gram-positive bacterium, Gram-negative bacterium,
    202:                           # yeast, aminal, plant
    203:         @title = title
    204:         @sequence = ''
    205:       end

okazaki()

Returns a PSORT1 CGI Driver object (Bio::PSORT::PSORT1::Remote) connecting to the NIBB server.

[Source]

         # File lib/bio/appl/psort.rb, line 185
    185:       def self.okazaki
    186:         self.new(Remote.new(ServerURI[:Okazaki][:PSORT1]))
    187:       end

peking()

Returns a PSORT1 CGI Driver object (Bio::PSORT::PSORT1::Remote) connecting to the Peking server.

[Source]

         # File lib/bio/appl/psort.rb, line 192
    192:       def self.peking
    193:         self.new(Remote.new(ServerURI[:Peking][:PSORT1]))
    194:       end

### Public Instance methods

exec(faa, parsing = true)

Executes the query (faa) and returns an Bio::PSORT::PSORT1::Report.

The ``faa’’ argument is acceptable a sequence both in String and in Bio::FastaFormat.

If you set the second argument is ``parsing = false’’, returns ourput text without any parsing.

[Source]

         # File lib/bio/appl/psort.rb, line 233
    233:       def exec(faa, parsing = true)
    234:         if faa.class == Bio::FastaFormat
    235:           @title = faa.entry_id if @title == 'MYSEQ'
    236:           @sequence = faa.seq
    237:           @serv.args = {'title' => @title, 'origin' => @origin}
    238:           @serv.parsing = parsing
    239:           return @serv.exec(sequence)
    240:         else
    241:           self.exec(Bio::FastaFormat.new(faa), parsing)
    242:         end
    243:       end

[Validate]